Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMUnion

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.SOMUnion

public class SOMUnion
extends SOMObject

<union> A defining construct for schema components. The XML representation for restricting a type schema component is either a <restriction>, a <list> or a <union> element information item.

The union element defines a simpleType's content to be composed of one of a set of predefined types.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`SOMUnion()`

Method Summary
`void` | `addSimpleType(SOMSimpleType simpleType)`
`void` | `addType(SOMType type)`
`java.lang.String` | `createDefault()` Not implemented.
`java.lang.String` | `getID()`
`java.util.Vector` | `getMemberTypes()`
`java.lang.String` | `getMemberTypesString()`
`java.util.Vector` | `getSimpleTypes()`
`void` | `toXML(java.io.Writer rtn, int indent)`

Methods inherited from class com.bea.schema.SOMObject
`addChild, addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMUnion

    public SOMUnion()

Method Detail

### getID

    public java.lang.String getID()

  Overrides:
    getID in class SOMObject

### addType

    public void addType(SOMType type)

### addSimpleType

    public void addSimpleType(SOMSimpleType simpleType)

### getMemberTypesString

    public java.lang.String getMemberTypesString()

### getMemberTypes

    public java.util.Vector getMemberTypes()

### getSimpleTypes

    public java.util.Vector getSimpleTypes()

### toXML

    public void toXML(java.io.Writer rtn,
                      int indent)
               throws java.io.IOException

  Overrides:
    toXML in class SOMObject

### createDefault

    public java.lang.String createDefault()

  Not implemented.

  Returns:
    null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)